select distinct(abs.matricule), abs.codabs, poste.libposte, col01, sal.libressource1, sal.libressource2, abs.datdeb, abs.datfin 
from tbabsenc abs 
left join postpla post on abs.matricule = post.matricule 
inner join rcressource sal on abs.matricule = sal.matricule 
inner join poste poste on poste.codposte = post.codposte 
WHERE abs.datdeb <= '01/07/12' and datfin >= '01/07/12' and col01 = 'GM';

select * from tbabsenc where matricule = 4231
select * from postpla where  matricule = 4231
